Subject: SSH tunneling vs. wu-ftpd

From: Gary Casterline <[email-masked]>
Date: Wed, 21 Jul 1999 21:05:49 -0700

Hello,

I'm trying to use port forwarding in Data Fellows F-secure SSH to hide
the password exchange when connecting to wuftp-2.5.0 on a solaris 2.6 server.
The authentication succeeds, but the directory listing fails.
The same setup works when connecting to a server running NcFTPd Server.

Here is a transcript of the client log (I don't see anything interesting in
the server log, but can turn up the debugging volume if it'd help):

	WINSOCK.DLL: WinSock 2.0
	WS_FTP95 LE 4.50 97.05.17,
		 Copyright © 1992-1997 Ipswitch, Inc.
	- -
	connecting to 127.0.0.1 ...
	Connected to 127.0.0.1 port 21
	220 host.com FTP server (Version wu-2.5.0(1)
	   Tue May 25 22:15:38 PDT 1999) ready.
	USER username
	331 Password required for username.
	PASS (hidden)
	230 User username logged in.
	CWD _in
	250 CWD command successful.
	PWD
	257 "/home/username/" is current directory.
	Host type (I): Sun Solaris
	PASV
	227 Entering Passive Mode (127,0,0,1,83,12)
	connecting to 127.0.0.1:21260
	- -
	connecting to 127.0.0.1 ...
	! Can't connect to 127.0.0.1 - connection refused
	! connect: connection refused
	PORT 127,0,0,1,5,139
	200 PORT command successful.
	LIST 
	425 Can't build data connection: Connection refused.
	! DoDirList failed 0

Has anyone else gotten this to work with wu-2.5.0?
Any pointers on what I might change in a config file or even in
the code to enable this tunneling?  What are the securtity implications?
Maybe I should just use the guest features and simplify my life.

Thanks,

 _Gary